-- crear un complemento de Jieshuo que nos permita activar y desactivar el wi-fi usando la api nativa de android
require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.os.*"
import "android.content.*"
-- importar para ajustar el wifi
import "android.net.wifi.*"
import "android.net.*"

service.asyncSpeak("Hola señor Eber, voy a comprobar el estado del wifi y lo ajustaré por usted.")

-- obtener el administrador de wifi
wifiManager = service.getSystemService(Context.WIFI_SERVICE)
-- obtener la información de wifi
wifiInfo = wifiManager.getConnectionInfo()

-- activar wifi
function activarWifi()
	wifiManager.setWifiEnabled(true)
	service.asyncSpeak("El wifi ha sido activado")
  end
  
  -- desactivar wifi
  function desactivarWifi()
	wifiManager.setWifiEnabled(false)
	service.asyncSpeak("El wifi ha sido desactivado")
  end


-- verificar si el wifi está activado o desactivado y ajustarlo en consecuencia
if wifiManager.isWifiEnabled() then
	desactivarWifi()
else
	activarWifi()
end
